Bug 183839 - www/owncloud: Add database backend selection
Summary: www/owncloud: Add database backend selection
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kevin Lo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-10 09:40 UTC by Bernard Spil
Modified: 2013-11-13 06:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2013-11-10 09:40:00 UTC
Owncloud pulls in all available database backends by default

Added options to make database backend selectable

Fix: 

USE_BZIP2=     yes
 USE_PHP=       ctype curl dom fileinfo filter gd hash iconv json ldap \
-               mbstring mysql openssl pdo pdo_mysql pdo_pgsql pdo_sqlite \
-               session simplexml sqlite3 xml xmlreader xsl wddx zip zlib
+               mbstring openssl pdo session simplexml xml xmlreader xsl \
+               wddx zip zlib
 WANT_PHP_WEB=  yes
 DEFAULT_PHP_VER=5

 WWWDOCROOT?=   www

+OPTIONS_MULTI=                 DB
+OPTIONS_MULTI_DB=      MYSQL PGSQL SQLITE
+OPTIONS_DEFAULT=       MYSQL
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MMYSQL}
+USE_MYSQL=      client
+USE_PHP+=       mysql pdo_mysql
+.endif
+
+.if ${PORT_OPTIONS:MPGSQL}
+USE_PHP+=       pdo_pgsql
+.endif
+
+.if ${PORT_OPTIONS:MSQLITE}
+USE_PHP+=       sqlite pdo_sqlite
+.endif
+
 WRKSRC=                ${WRKDIR}/${PORTNAME}
 NO_BUILD=      yes
 SUB_FILES=     pkg-message--KLj6yeTfhMyYe3OU6dxzSM0XuXzWqnRIaV8zCXeZ8oiDVXnx
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- Makefile.orig       2013-11-09 17:22:23.000000000 +0100
+++ Makefile    2013-11-10 10:34:02.615317290 +0100
@@ -15,13 +15,32 @@
How-To-Repeat: cd /usr/ports/www/owncloud
make 
make install
Comment 1 Edwin Groothuis freebsd_committer 2013-11-10 09:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kevlo

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-13 06:32:11 UTC
Author: kevlo
Date: Wed Nov 13 06:32:04 2013
New Revision: 333654
URL: http://svnweb.freebsd.org/changeset/ports/333654

Log:
  Add database backend selection.
  
  PR:	ports/183839
  Submitted by:	Spil <spil.oss at gmail dot com>

Modified:
  head/www/owncloud/Makefile

Modified: head/www/owncloud/Makefile
==============================================================================
--- head/www/owncloud/Makefile	Wed Nov 13 06:31:00 2013	(r333653)
+++ head/www/owncloud/Makefile	Wed Nov 13 06:32:04 2013	(r333654)
@@ -2,6 +2,7 @@
 
 PORTNAME=	owncloud
 PORTVERSION=	5.0.13
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://download.owncloud.org/community/
 
@@ -15,8 +16,8 @@ RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 USE_BZIP2=	yes
 USE_PHP=	ctype curl dom fileinfo filter gd hash iconv json ldap \
-		mbstring mysql openssl pdo pdo_mysql pdo_pgsql pdo_sqlite \
-		session simplexml sqlite3 xml xmlreader xsl wddx zip zlib
+		mbstring openssl pdo session simplexml xml xmlreader \
+		xsl wddx zip zlib
 WANT_PHP_WEB=	yes
 DEFAULT_PHP_VER=5
 
@@ -26,6 +27,25 @@ WRKSRC=		${WRKDIR}/${PORTNAME}
 NO_BUILD=	yes
 SUB_FILES=	pkg-message
 
+OPTIONS_MULTI=	DB
+OPTIONS_MULTI_DB=	MYSQL PGSQL SQLITE
+OPTIONS_DEFAULT=	SQLITE
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MMYSQL}
+USE_MYSQL=	client
+USE_PHP+=	mysql pdo_mysql
+.endif
+
+.if ${PORT_OPTIONS:MPGSQL}
+USE_PGSQL=	yes
+USE_PHP+=	pgsql pdo_pgsql
+.endif
+
+.if ${PORT_OPTIONS:MSQLITE}
+USE_PHP+=	sqlite3 pdo_sqlite
+.endif
+
 do-install:
 	@${MKDIR} -m 0755 ${STAGEDIR}${WWWDIR}
 	@cd ${WRKSRC} && ${COPYTREE_SHARE} . ${STAGEDIR}${WWWDIR}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Kevin Lo freebsd_committer 2013-11-13 06:32:20 UTC
State Changed
From-To: open->closed

Committed, thanks.